#1952 closed defect (fixed)

Untar_FromMemory returns successful despite an error

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Untar_FromMemory breaks if it detects that not all the data was written but doesn't set the return value to an error condition.

Attachments (1)

rtems-cvs.diff (509 bytes) - added by Gedare Bloom on 11/06/11 at 18:13:24.
Make Untar_FromMemory return an error if not all data are written.

Download all attachments as: .zip

Change History (4)

Changed on 11/06/11 at 18:13:24 by Gedare Bloom

Attachment: rtems-cvs.diff added

Make Untar_FromMemory return an error if not all data are written.

comment:1 Changed on 11/06/11 at 19:02:48 by Gedare Bloom

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:2 Changed on 11/07/11 at 20:45:27 by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch applied to head and applicable branches.

Thanks.

comment:3 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.